html, body {
    margin: 0;
    min-height: 100vh;
}

/* header */
header {
    height: 100px;
    flex-shrink: 0;
    background: var(--headColor);
    border-bottom: 1px solid var(--lineGrayColor);
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.nav-list {
    display: flex;
    margin: 0;
    padding: 0;
    list-style: none;
}

.logo {
    width: 120px;
    height: 70%;
}

a {
    text-decoration: none;
    color: var(--textColor);
    font-size: 14px;
    transition: color 0.4s ease;
}

.nav-container:hover a {
    color: var(--textColorHover);
    font-size: 15px;
}

.nav-container {
    position: relative;
    padding: 0 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 120px;
    height: 80px;
    box-sizing: border-box;
    white-space: nowrap;
}

.nav-container::after {
    content: "";
    position: absolute;
    left: 10px;
    right: 10px;
    bottom: 0;
    height: 3px;
    background: transparent;
    transition: background 0.7s ease;
}

.nav-container:hover {
    cursor: pointer;
}

.nav-container:hover::after {
    background: var(--solidColor);
    border-radius: 5px;
}

/* header end */

main {
    display: flex;
    justify-content: center;
    align-items: center;
    background: var(--backgroundColor);
    flex: 1;
    width: 1200px;
    margin: 0 auto;
}

footer {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 150px;
    flex-shrink: 0;
    background: var(--footColor);
    border-top: 1px solid var(--lineDarkGrayColor);
}